import { ROOT_REDUCER_NAME } from '@procyon/constants/redux';
export declare const AUTH_REDUCER_NAME = "auth";
export type AuthTokens = {
    accessExpiresIn?: number;
    accessToken?: string;
    idToken?: string;
    refreshExpiresIn?: number;
    refreshToken?: string;
    sessionState?: string;
};
export type AuthAttributes<C = unknown> = {
    accessExpiresTime?: string;
    authenticated?: boolean;
    refreshExpiresTime?: string;
} & C & AuthTokens;
export type ModifyAuthAttributePayload<P = unknown> = {
    key: keyof AuthAttributes<P>;
    value: any;
};
export type AuthRootState = {
    [ROOT_REDUCER_NAME]: {
        [AUTH_REDUCER_NAME]: AuthAttributes;
    };
};
export type UseLoginParams = {
    authEndpoint: string;
    baseUrl: string;
    clientId: string;
    logoutEndpoint: string;
    redirectUri: string;
    tokenEndpoint: string;
};
export type UseFetchTokensParams = Pick<UseLoginParams, 'baseUrl' | 'tokenEndpoint' | 'clientId'> & {
    code: string;
    grantType: 'authorization_code';
    redirectUri: string;
};
